
import datetime
import re
import math
import random
import string
import os

def generate_random_password(length=12):
    if not isinstance(length, int) or length < 6:
        raise ValueError("Password length must be an integer greater than or equal to 6")
    
    characters = string.ascii_letters + string.digits + "!@#$%^&*()_+-="
    return ''.join(random.choice(characters) for _ in range(length))



